Package com.sas.lsaf.workflow.processflow.setup

## Class TaskSetup

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.setup.ElementSetup
  - - com.sas.lsaf.workflow.processflow.setup.TaskSetup

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `JobTaskSetup`, `NotificationTaskSetup`, `UserTaskSetup`

      public abstract class TaskSetup
      extends ElementSetup

  The abstract class that specifies the common setup information for the task element setups that are in a process flow.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `description, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskSetup​(java.lang.String name, java.lang.String description, java.lang.String elementId, Element.ElementType type, java.lang.String processFlowId)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<Attribute>` | `getAttributes()` | Gets the extended attributes that are defined for the item.
    `int` | `hashCode()` |
    `void` | `setAttributes​(java.util.List<Attribute> attributes)` | Sets the extended attributes that are defined for the item.
    `void` | `setDescription​(java.lang.String description)` | Sets the description of the element definition.
    `void` | `setName​(java.lang.String name)` | Sets the name of the element definition.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.workflow.processflow.setup.ElementSetup

      `getDescription, getElementId, getName, getProcessFlowIdentifier, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskSetup

          public TaskSetup​(java.lang.String name,
                           java.lang.String description,
                           java.lang.String elementId,
                           Element.ElementType type,
                           java.lang.String processFlowId)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the setup elements returned by the API.
      Parameters:
        `name` - The name of the element.
        `description` - The description of the element.
        `elementId` - The identifier of the element as it appears in the process flow definition.
        `type` - The type of the element.
        `processFlowId` - The identifier of the process flow that contains the element.

  - ### Method Detail

    - #### getAttributes

          public java.util.List<Attribute> getAttributes()

      Gets the extended attributes that are defined for the item.
      Returns:
        The extended attributes.

    - #### setAttributes

          public void setAttributes​(java.util.List<Attribute> attributes)

      Sets the extended attributes that are defined for the item.
      Parameters:
        `attributes` - The extended attributes that are defined for the item.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the element definition.
      Parameters:
        `name` - The name of the element definition.

    - #### setDescription

          public void setDescription​(java.lang.String description)

      Sets the description of the element definition.
      Parameters:
        `description` - The description.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ElementSetup`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ElementSetup`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ElementSetup`